|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QObject

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QObject class reference

### Public Functions

- QObject ( QObject * parent, const char * name )
- QObject * child ( const char * objName, const char * inheritsClass = 0, bool recursiveSearch = true ) const
- const char * className () const
- void insertChild ( QObject * object )
- bool isA ( const char * className ) const
- const char * name () const
- const char * name ( const char * defaultName ) const
- void removeChild ( QObject * object )
- void setName ( const char * name )

### Protected Functions

- bool checkConnectArgs ( const char * signal, const QObject * object, const char * method )

### Static Protected Members

- QByteArray normalizeSignalSlot ( const char * signalSlot )

## Member Function Documentation

### QObject::QObject ( QObject * parent, const char * name )

This function overloads QObject().

Creates a new QObject with the given parent and object name.

### bool QObject::checkConnectArgs ( const char * signal, const QObject * object, const char * method ) `[protected]`

Use QMetaObject::checkConnectArgs() instead.

### QObject * QObject::child ( const char * objName, const char * inheritsClass = 0, bool recursiveSearch = true ) const

Searches the children and optionally grandchildren of this object, and returns a child that is called objName that inherits inheritsClass. If inheritsClass is 0 (the default), any class matches.

If recursiveSearch is true (the default), child() performs a depth-first search of the object's children.

If there is no such object, this function returns 0. If there are more than one, the first one found is returned.

### const char * QObject::className () const

Use metaObject()->className() instead.

### void QObject::insertChild ( QObject * object )

Use setParent() instead, i.e., call object->setParent(this).

### bool QObject::isA ( const char * className ) const

Compare className with the object's metaObject()->className() instead.

### const char * QObject::name () const

Use objectName() instead.

See also setName().

### const char * QObject::name ( const char * defaultName ) const

Use objectName() instead.

### QByteArray QObject::normalizeSignalSlot ( const char * signalSlot ) `[static protected]`

Use QMetaObject::normalizedSignature() instead.

### void QObject::removeChild ( QObject * object )

Use setParent() instead, i.e., call object->setParent(0).

### void QObject::setName ( const char * name )

Use setObjectName() instead.

See also name().